---
title: "Integratie"
source: /nl/gcxone/api/integration
locale: nl
updated: 2026-09-04
---
Operaties op integratie‑bronnen. 6 endpoints, elk relatief ten opzichte van `https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authentication](/gcxone/api/authentication).

## POST /integration

Voeg een nieuwe integratie toe aan een specifiek hiërarchisch niveau

### Verzoek‑body

Integratie toevoegen

```json
{
  "name": "string (required)",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Forbidden |  |

Voorbeeld `200` respons:

```json
{
  "result": true
}
```

## POST /integration/filter

Haal de integratielijst op met filteren, sorteren en paginatie. Het ondersteunt zoeken op hiërarchisch niveau. Het kan worden gefilterd met een opgegeven hiërarchie of gebruikt de hiërarchie van de aangemelde gebruiker. Hiermee kunt u extra entiteitsvelden opvragen in de respons. Ook worden configuratiemetagegevens over de entiteit verstrekt.

### Verzoek‑body

Integratiefiltering en -sortering

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "dataResult": [
    {
      "uniqueId": "644745a2be7af43fac26788f",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "Webhook For DEV",
      "description": "desc"
    },
    {
      "uniqueId": "6447481dbe7af43fac267891",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "DC09 For DEV"
    },
    {
      "uniqueId": "644748ecbe7af43fac267892",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "External Integration Test"
    }
  ],
  "totalRecordsCount": 3
}
```

## GET /integration?id={id}&isTemplates={isTemplates}

Integratie ophalen op Id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | query | string | nee |  |
| isTemplates | query | string | nee |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "data": {
    "_id": "62ea2a8328c7c9",
    "uniqueId": "afd49a39338dc",
    "accessLevel": "site",
    "createdBy": "developer-1@dev.de",
    "createdOn": 1659513475763,
    "modifiedBy": "developer-1@dev.de",
    "modifiedOn": 1659514047995,
    "name": "External Integration",
    "description": "desc",
    "internalProxy": "",
    "externalProxy": "",
    "vpnProxy": "",
    "protocolType": "",
    "userName": "",
    "password": "",
    "accessToken": "",
    "externalEndpoint": "",
    "parentAccountId": "23424-324-3424",
    "integrationInput": {},
    "integrationOutput": {},
    "serviceProviderId": "",
    "customerId": "",
    "siteId": ""
  }
}
```

## PUT /integration?id={id}&isTemplates={isTemplates}

Werk een bestaande Integratie bij

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Verzoekbody

Om de integratie bij te werken, geef de bestaande Id op

```json
{
  "name": "string",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "isSuccess": true
}
```

## PATCH /integration?id={id}&isTemplates={isTemplates}

Patch om de integratie bij te werken

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | tekenreeks | ja |  |

### Verzoek body

Om de integratie bij te werken

```json
{
  "isActive": "boolean"
}
```

### Responsen

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "isSuccess": true
}
```

## DELETE /integration?id={id}&isTemplates={isTemplates}

Verwijder integratie op Id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | tekenreeks | ja |  |

### Responsen

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "isSuccess": true
}
```